/*
Theme Name:     Osmose
Theme URI:      http://laurent-angeli/wp-themes/
Description:    Twentytwentyfive child theme.
Author:         Laurent ANGELI
Author URI:     http://laurent-angeli.fr
Template:       twentytwentyfive
Version:        0.1.0
*/


/* générique */
:root {
  --min-space-in-flow: 2rem;
}
/* Espacement entre une image et le titre qui suit */
figure + .wp-block-heading {
  margin-top: var(--min-space-in-flow);
}
p + figure {
  padding-top: var(--min-space-in-flow);
}
@media (prefers-reduced-motion: no-preference) {
}

/* le contenu des colonnes est réparti sur la hauteur */
.wp-block-columns.space-between-columns .wp-block-column {
  display:flex;
  flex-direction:column;
  justify-content: space-between;
}


/* LOGO */
.custom-logo { width:300px; }
footer .custom-logo { width:200px; }

/* search form on header */
/*.header-search { margin-right: 1rem !important; }*/
.header-search .wp-block-search__button { margin: 0; padding:0; }
.header-search .wp-block-search__inside-wrapper {
  width: 12rem !important;
  padding: 4px 4px 4px 6px;
  flex-direction: row-reverse;
}
.header-search .wp-block-search__input {
  font-size: 15px;
  line-height:1.4;
  border-radius: 25px;
  padding-left: 0.2rem;
  padding-right: 0.2rem;
}
.header-search .search-icon {
  min-height: 20px;
  min-width: 20px;
  height: 20px;
}

/* Décoration des items de menu pour la page courante */
.current-menu-item  > a,
.current-menu-ancestor > a {
  text-decoration: underline;
}


/***************/
/* Menu MOBILE */
/***************/

@keyframes arriveFromLeft {
  0% {
    opacity: 0;
    transform: translateX(-150px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

.wp-block-navigation__responsive-container.is-menu-open {
  animation-name: arriveFromLeft;
  animation-duration: 0.3s;
  animation-timing-function: ease-out;

  color: var(--wp-preset--color--base) !important;
  background-color: var(--wp--preset--color--fond-1) !important;
  .wp-block-navigation__responsive-container-content {
    padding-top: 24px !important;
    .menu-principal {
      border-left: 2px solid var(--wp--preset--color--accent-1);
      padding-left: 1rem;
    }
    .menu-principal .wp-block-navigation-item {
      flex-basis:auto !important;
    }
    .wp-block-navigation__submenu-container {
      padding-top: 0;
      padding-left: 1rem !important;
      padding-right:0 !important;
    }
    .wp-block-navigation__container,
    .wp-block-navigation__submenu-container{
      gap:0.2rem !important;
    }
  }
  .wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item:not(:last-child) {
    margin-bottom: 0 !important;
  }
  .wp-block-navigation .has-child .wp-block-navigation__submenu-container > .wp-block-navigation-item > .wp-block-navigation-item__content {
    padding: 0.35em 0 0.35em 0.5em;
  }
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation ul,
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation ul li {
  list-style: circle !important;
}
 :where(.wp-site-blocks .wp-block-navigation__responsive-container.is-menu-open :focus) {
  outline-style: none;
  outline-width: 0;
}
/* Ajout de "MENU" à droite de l'icone SVG hamburger */
.wp-block-navigation__responsive-container-open {
  padding: 0.5rem 0;

  &::after {
    content:" MENU";
    line-height:1.5;
  }
  svg {
    display: inline-block;
    vertical-align: bottom;
  }
}

/* On affiche le menu mobile par defaut... */
body .wp-block-navigation__responsive-container-open:not(.always-shown) {
  display: block !important;
  width: 100%;
  text-align: left;
}
/* On cache le menu desktop */
body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
  display: none !important;
}


/* ACCUEIL */

.home {
  .wp-block-cover {
    aspect-ratio: 1920/594 !important; /* keep size of hero image */
    padding-left: var(--wp--preset--spacing--30);
  }
  /* taille du texte dans le hero */
  .wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-top-left .wp-block-cover__inner-container {
    width: calc( var(--wp--style--global--wide-size) + var(--wp--preset--spacing--30) );
    margin:0 auto;
  }

  .wp-block-query .wp-block-post-title { min-height: calc(6ex + 5px); }
  .wp-block-query ul li { position: relative; padding-bottom: 45px; }
  .wp-block-query ul li .wp-block-post-title a { display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 3; overflow: hidden; }
  .wp-block-query ul li .wp-block-post-excerpt__excerpt { display: -webkit-box; -webkit-box-orient: vertical; -webkit-line-clamp: 5; overflow: hidden; }
  .wp-block-query ul li .push-to-bottom { position:absolute; bottom: 0; right:2rem; }
}

/* image avec légende placée en haut à gauche de l'image */
.absolute-caption-haut-gauche { position:relative;}
.absolute-caption-haut-gauche .wp-element-caption {
  position: absolute;
  top: 0;
  left: 0.5rem;
  font-weight: 400;
  font-style: italic;
  font-size: 12px;
}
.width-592 img {
  max-width:592px !important;
}


/* actualités */
.compo-formation {
  position:relative;
  padding-bottom: 1.8rem;
}
.compo-formation .wp-block-buttons {
  position:absolute;
  bottom:0.5rem;
  right:0.5rem;
}


/* Grande Map */
#repartition-hemoglobinopathie .wp-block-group { padding-bottom: 0.5em !important; }
/*#repartition-hemoglobinopathie .wp-block-group { flex-basis:157px; }*/
#repartition-hemoglobinopathie .wp-block-group .wp-block-paragraph { text-wrap:nowrap; }



/* BLOG */
body:not(.home) .is-layout-grid .type-post .wp-block-group.has-border-color {
  height: 100%;
}
body:not(.home) .is-layout-grid .type-post .wp-block-group.has-border-color:hover {
  border-color:var(--wp--preset--color--accent-2) !important;
}

body:not(.home) .is-layout-grid .wp-block-group:has(.wp-block-post-title a) {
  position:relative;
}
body:not(.home) .is-layout-grid .wp-block-group:has(.wp-block-post-title a) .event-infos {
  position:initial;
}
/* dans une grille le titre qui est un lien est étendu sur tout le bloc */
body:not(.home) .is-layout-grid .wp-block-group .wp-block-post-title a:after {
  content:"";
  position:absolute;
  inset:0;
}
body:not(.home) .is-layout-grid .wp-block-group .wp-block-post-date.has-text-align-right{
  position: absolute;
  right: 0.5rem;
  bottom: 0.5rem;
}
body:not(.home) .is-layout-grid .wp-block-group:has(.wp-block-post-date.has-text-align-right) {
  padding-bottom: 2rem !important;
}

/* single post */
.single-post .wp-block-query .is-layout-grid .wp-block-post .wp-block-group {
  height:100%;
  justify-content: space-between;
}
.hvr-grow {
  transition: 0.3s ease-in-out;
}
.hvr-grow:hover, .hvr-grow:focus, .hvr-grow:active {
  -webkit-transform: scale(1.05);
  transform: scale(1.05);
}


/* SEARCH */
li .search-result-elem {
  border-bottom: 1px solid var(--wp--preset--color--accent-1);
  margin-bottom: 1.5rem;
}

/* footer */
/* keep links label on 1 line ! */
footer .wp-block-navigation .wp-block-navigation-item__label {
  overflow-wrap: unset;
  word-break: keep-all;
  text-wrap: nowrap;
}
footer .footer-linkedin img { min-width: 24px; }




/**************/
/* RESPONSIVE */
/**************/

/* Desktop */
@media all and (max-width: 1250px) {
}
@media all and (max-width: 1200px) {
  header .wp-block-site-logo{
    padding-right:20px !important;
  }
  header .wp-block-navigation__container > li:not(:last-child) {
    padding:0.5rem 1rem 0.5rem 0;
  }
}
@media all and (max-width: 1100px) {
}
@media all and (max-width: 1098px) {
}

@media all and (max-width: 990px) {
}

/* Tablet */
@media all and (max-width: 950px) {
}


@media all and (min-width: 930px) {
  /* Menu principal : les items prennent le max de largeur et on ajoute des traits verticaux */
/*  ul.menu-principal > li {
    flex-grow:1; justify-content: center; border-left: 2px solid var(--wp--preset--color--accent-3);

    &:last-child { border-right: 2px solid var(--wp--preset--color--accent-3); }

  }
*/
  /* Décoaration du menu principale dans le header : trait blanc vertical entre les items */
  header .wp-block-navigation__container > li:not(:last-child) {
    padding:0.5rem 2rem 0.5rem 0;
    border-right: 2px solid var(--wp--preset--color--base);
  }
  footer .menu-pied-de-page > li:not(:last-child) {
    padding:0.5rem 2rem 0.5rem 0;
    border-right: 2px solid var(--wp--preset--color--base);
  }
  /* le chevron est placé sur la dernière ligne du menu */
  .wp-block-navigation .wp-block-navigation__submenu-icon svg {
    margin-top: 0.9em !important;
  }

  /* Decoration des sous-menu */
  .wp-block-navigation .has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container {
    text-wrap: nowrap;
    left: -2px !important;
    border: 2px solid var(--wp--preset--color--accent-1) !important;

    > li {
      color: var(--wp--preset--color--accent-1) !important;
      background-color: var(--wp--preset--color--base) !important;
      border-bottom: 2px solid var(--wp--preset--color--accent-1) !important;
      margin: 0 !important;
      &:hover {
        color: var(--wp--preset--color--base) !important;
        background-color: var(--wp--preset--color--accent-1) !important;
      }
      &:last-child {
        border-bottom: none !important;
      }
    }
  }

  /* on passe du menu mobile au menu large */
  body .wp-block-navigation__responsive-container-open:not(.always-shown) {
    display: none !important;
  }
  body .wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
    display: block !important;
  }

}


@media all and (max-width: 815px) {

}


/* MOBILE */
@media all and (max-width: 929px) {
  footer .wp-block-columns {
    flex-direction:column !important;
    gap: 1rem !important;
  }
  footer .wp-block-columns .wp-block-column {
    flex-basis:unset !important;
    /*text-align:center;*/
    width:auto;
  }
  footer .menu-pied-de-page {
    flex-direction:column !important;
  }
  footer #line .wp-block-group .wp-block-group {
    flex-direction: column;
  }

}
@media all and (max-width: 781px) {
  .mobile-columns-reverse {
    flex-direction: column-reverse;
  }
  header .wp-block-site-logo,
  header .wp-block-site-logo + .wp-block-group {
    width:100%;
    text-align:center;
    margin-bottom: 0.3rem !important;
    justify-content:  center;
  }
  header .wp-block-site-logo img {
    max-width:250px;
  }
  /* Titre et excerpt des actualités */
  .home .wp-block-query li .wp-block-column:last-child .wp-block-post-title,
  .home .wp-block-query li .wp-block-column:last-child .wp-block-post-excerpt { padding-left: 1rem; }


  .footer-menu { flex-grow:0; }
  /* footer menu line gets bigger for mobile clik */
  #line { line-height:2.5; }

}
/* Affichage avant ou après 700px */
@media all and (min-width: 701px) {
  .hidden-after-700 { display:none; }
  .hidden-below-700 { display:block; }
}
@media all and (max-width: 700px) {
  .hidden-after-700 { display:block; }
  .hidden-below-700 { display:none; }
}

@media all and (max-width: 700px) {
  .home {
    /* taille du texte dans le hero */
    .wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-top-left .wp-block-cover__inner-container {
      width: calc( var(--wp--style--global--wide-size) + var(--wp--preset--spacing--30) );
      margin:0 auto;
    }
  }
}

/* plus grand que mobile */
@media all and (min-width: 600px) {

  /* actualités */
  .home .wp-block-query ul li { border-left: 2px solid var(--wp--preset--color--accent-3); }
  .home .wp-block-query ul li:last-child { border-right: 2px solid var(--wp--preset--color--accent-3); }


}

/* plus petit que mobile */
@media all and (max-width: 599px) {

  footer .wp-container-core-columns-is-layout-baaca9a6 {
    .wp-block-column {
      flex-basis: 100% !important;
    }
    .wp-block-column:first-child {
      .wp-block-columns { flex-wrap: wrap !important; }
    }
    .footer-linkedin {
      border-left:none;
    }

  }
}

@media all and (max-width: 540px) {
  footer .actions { padding: 0 !important; }
}

@media all and (max-width: 450px) {
}

@media all and (max-width: 430px) {
  footer .actions {
    row-gap: 25px;
  }
  footer .menu .wp-block-group:nth-child(2) {
    margin-left: 0;
  }


}

/* */


